# Generated by Django 4.1.10 on 2023-10-19 14:16

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0036_remove_donateprojectindexpage_support_position_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="donatehomepage",
            name="region_body",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="region_title",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="support_body",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="support_title",
        ),
        migrations.AlterField(
            model_name="donatehomepage",
            name="content_blocks",
            field=wagtail.fields.StreamField(
                [
                    (
                        "project_index",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        page_type=["donate.DonateProjectIndexPage"]
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        "district_donation",
                        wagtail.blocks.StructBlock(
                            [
                                ("heading", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "description",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                            "font_color_#4ca971",
                                            "font_color_#fde119",
                                            "font_color_#027da8",
                                            "font_color_#004958",
                                            "font_color_#670047",
                                            "font_color_#d60d53",
                                            "font_color_#262626",
                                        ],
                                        label="Obsah",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "party_support_form",
                        wagtail.blocks.StructBlock(
                            [
                                ("heading", wagtail.blocks.CharBlock(label="Nadpis")),
                                (
                                    "description",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                            "superscript",
                                            "subscript",
                                            "strikethrough",
                                            "blockquote",
                                            "embed",
                                            "font_color_#4ca971",
                                            "font_color_#fde119",
                                            "font_color_#027da8",
                                            "font_color_#004958",
                                            "font_color_#670047",
                                            "font_color_#d60d53",
                                            "font_color_#262626",
                                        ],
                                        label="Obsah",
                                    ),
                                ),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah",
            ),
        ),
    ]
